Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util.functions
Class MinTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.util.functions.MinTest

All Implemented Interfaces:
  junit.framework.Test

    public class MinTest

extends junit.framework.TestCase

Tests the Min class

Version:
  $Id: MinTest.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`MinTest()`

Method Summary
`void` | `testMin()` Tests the min constructor with a column returns the correct SQL.
`void` | `testSetFunction()` tests that setFunction throws a
`void` | `testSumFromString()` Tests the min constructor with a column returns the correct SQL.
`void` | `testSumWithDistinct()` Tests the min constructor with distinct returns the correct SQL.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MinTest

    public MinTest()

Method Detail

### testMin

    public void testMin()

  Tests the min constructor with a column returns the correct SQL.

### testSumFromString

    public void testSumFromString()

  Tests the min constructor with a column returns the correct SQL.

### testSumWithDistinct

    public void testSumWithDistinct()

  Tests the min constructor with distinct returns the correct SQL.

### testSetFunction

    public void testSetFunction()

  tests that setFunction throws a

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.